[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.Parent

Parent component for the menu.

## Declaration

Source position: menus.pp line 422

`public property TMenu.Parent : TComponent read FParent write SetParent;`

## Description

Parent is a TComponent property with the component associated with the menu instance. Setting Parent to Nil when a handle has been assigned for Items in the menu causes the DestroyHandle method to be called.

## See also

TMenu.DestroyHandle |  | Frees the Handles for the items on the menu.
TMenuItem.Items |  | Provides indexed access to the child menu items for the current class instance.
TMenuItem.Handle |  | Handle for the menu item allocated in the widgetset class.